Bug 104738 - [PATCH] Package unnecessarily large due to usage of static libraries
Summary: [PATCH] Package unnecessarily large due to usage of static libraries
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: festival   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-19 23:23 UTC by Miloslav Trmac
Modified: 2013-04-02 04:18 UTC (History)
2 users (show)

Fixed In Version: 1.4.2-25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-29 19:44:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to make some of the speech_tools libraries shared (6.40 KB, patch)
2003-09-19 23:26 UTC, Miloslav Trmac
no flags Details | Diff

Description Miloslav Trmac 2003-09-19 23:23:27 UTC
Description of problem:
The festival package does not use shared libraries, therefore most of the
(numerous) files in /usr/bin are larger than 1 MB.
Attached patch changes the build to use shared libraries, which
brings the RPM size (as displayed in rpm -qi) from about 58 MB
to about 41 MB.

The patch also contains a few additonal cleanups to the (ugly) spec file:
* Remove Source3 and Source5, which are not used
* Don't produce backup files when applying patches, so that the backup files
  are not distributed in the built package
* Use %{version} instead of hard-coded 1.4.2
* Install man pages directly to %{_mandir} instead of installing to /usr/man
  and then moving from /usr/man to %{_mandir}
* Use $RPM_BUILD_ROOT instead of %buildroot


Version-Release number of selected component (if applicable):
festival-1.4.2-19.

How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:

Comment 1 Miloslav Trmac 2003-09-19 23:26:56 UTC
Created attachment 94610 [details]
Patch to make some of the speech_tools libraries shared

Comment 4 Miloslav Trmač 2004-07-29 19:44:22 UTC
Built, along with updating to compile with gcc 3.4.


Note You need to log in before you can comment on or make changes to this bug.